%define	gimpplugindir	%(gimp-config --gimpplugindir)/plug-ins

Summary: A nice GTK+ frontend to the gphoto2 library.
Name: gtkam
Version: 20011114
Release: fr1
Serial: 1
Copyright: GPL
Group: Applications/Multimedia
Source: gtkam-%{version}.tar.bz2
URL: http://www.gphoto.org/
BuildRoot: %{_tmppath}/%{name}-root
Requires: gphoto >= 2.0beta3, gtk+ >= 1.2.0, gdk-pixbuf >= 0.7.0, gimp
BuildRequires: gphoto-devel >= 2.0beta3 gtk+-devel, gdk-pixbuf-devel, gimp, perl

%description
A nice GTK+ frontend to the gphoto2 library.

%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"
sh autogen.sh	--bindir=%{_sbindir} \
		--datadir=%{_datadir}
perl -pi -e 's|/images/gtkam|/gtkam/pixmaps|g' */Makefile*
make imagesdir=%{_datadir}/gtkam/pixmaps

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}{%{_bindir},/etc/pam.d,/etc/security/console.apps}
mkdir -p %{buildroot}%{_datadir}{/gnome/apps/Graphics,/gtkam/pixmaps}

%makeinstall bindir=%{buildroot}%{_sbindir}

# Put the gimp plugin where it's supposed to go
install -D -m 755 src/gtkam-gimp %{buildroot}%{gimpplugindir}/gtkam
strip %{buildroot}%{gimpplugindir}/gtkam

ln -s %{_bindir}/consolehelper %{buildroot}%{_bindir}/gtkam

cat > %{buildroot}/etc/pam.d/gtkam << EOF
#%PAM-1.0
auth       sufficient   /lib/security/pam_rootok.so
auth       required     /lib/security/pam_stack.so service=system-auth
session    optional     /lib/security/pam_xauth.so
account    required     /lib/security/pam_permit.so
EOF

cat > %{buildroot}/etc/security/console.apps/gtkam << EOF
USER=root
PROGRAM=%{_sbindir}/gtkam
SESSION=true
EOF

cat >%{buildroot}%{_datadir}/gnome/apps/Graphics/gtkam.desktop << EOF
[Desktop Entry]
Name=GTKam
Comment=%{summary}
Exec=%{_bindir}/gtkam
Icon=%{_datadir}/gtkam/pixmaps/camera.xpm
Terminal=0
Type=Application
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING MANUAL
/etc/pam.d/gtkam
/etc/security/console.apps
%{_bindir}/gtkam
%{_sbindir}/gtkam
%{gimpplugindir}/gtkam
%{_datadir}/gtkam
%{_datadir}/gnome/apps/Graphics/gtkam.desktop
%{_datadir}/locale/*/LC_MESSAGES/gtkam.mo

%changelog
* Wed Nov 14 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to the latest CVS release.
- Added the GIMP plugin.

* Tue Oct  2 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to the latest CVS release that works with gphoto2 beta2.

* Fri Sep 14 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Fixed the pixmaps that weren't included in the package (duh!)... I should
  have done this earlier!

* Fri Jul 27 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

